"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __asyncValues = (this && this.__asyncValues) || function (o) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var m = o[Symbol.asyncIterator], i;
    return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
    function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
    function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sdk_1 = __importDefault(require("../sdk"));
const hatchet = sdk_1.default.init();
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        const workflowRuns = [];
        workflowRuns[0] = {
            workflowName: 'bulk-parent-workflow',
            input: {},
            options: {
                additionalMetadata: {
                    key: 'value',
                },
            },
        };
        workflowRuns[1] = {
            workflowName: 'bulk-parent-workflow',
            input: { second: 'second' },
            options: {
                additionalMetadata: {
                    key: 'value',
                },
            },
        };
        try {
            const workflowRunResponse = hatchet.admin.runWorkflows(workflowRuns);
            const result = yield workflowRunResponse;
            console.log('result', result);
            result.forEach((workflowRun) => __awaiter(this, void 0, void 0, function* () {
                var _a, e_1, _b, _c;
                const stream = yield workflowRun.stream();
                try {
                    for (var _d = true, stream_1 = __asyncValues(stream), stream_1_1; stream_1_1 = yield stream_1.next(), _a = stream_1_1.done, !_a; _d = true) {
                        _c = stream_1_1.value;
                        _d = false;
                        const event = _c;
                        console.log('event received', event);
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (!_d && !_a && (_b = stream_1.return)) yield _b.call(stream_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }));
        }
        catch (error) {
            console.log('error', error);
        }
    });
}
main();
