import { ListenerClient, StepRunEvent } from '../clients/listener/listener-client';
type EventualWorkflowRunId = string | Promise<string> | Promise<{
    workflowRunId: string;
}>;
export declare class DedupeViolationErr extends Error {
    constructor(message: string);
}
export default class WorkflowRunRef<T> {
    workflowRunId: EventualWorkflowRunId;
    parentWorkflowRunId?: string;
    private client;
    constructor(workflowRunId: string | Promise<string> | Promise<{
        workflowRunId: string;
    }>, client: ListenerClient, parentWorkflowRunId?: string);
    getWorkflowRunId(): Promise<string>;
    stream(): Promise<AsyncGenerator<StepRunEvent, void, unknown>>;
    result(): Promise<T>;
    toJSON(): Promise<string>;
}
export {};
